AOZ Studio Beta - Bug #146

Load image - colour 0,0,0, and 255,255,255 not displaying properly after palette command
02/06/2020 11:02 PM - Paul Kitching

Status: Closed Start date: 02/06/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.4

Description

Both pure black and pure white are not displaying properly if you change the palette after the picture is loaded.

#manifest: "pc"

cls O

load image "test.png"

palette $000000, SFFFFFF, SFF0000, $00FF00, $0000FF, $OOFFFF, SFFOOFF, SFFFF00, $BBBBBB, $BB0O000, $00BB0O0, $0
000BB, $SOOBBBB, $BBO0OBB, $BBBB00, $777777,$770000,$007700, $000077,$007777,$770077,$777700,%$333333,%$330
000,$003300,%$000033,5$003333,5$330033,5333300

wait key

This shows the picture correct if you put the palette before the load image command.
The two attached pics are of the loaded picture after the palette (black/white - correct), and before the palette (pink, dark grey, black,
white - incorrect). The palette overrides the black and white of the loaded image.

History

#1 - 09/19/2021 05:57 PM - Paul Kitching

- Status changed from New to Closed

Working in Beta 10.

Files
TestCapture.PNG 429 Bytes 02/06/2020 Paul Kitching
test.png 573 Bytes 02/06/2020 Paul Kitching
